User Properties

Increment/Decrement Numeric Property

POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/numerical-add

This API enables you to increment/decrement values of numeric properties of your users listed in your User Profiles. If the user with distinct ID doesn't exist, it creates a new user with the provided distinct ID and updates values for all the provided properties. To decrement property values, you can pass a negative value.

Note: If a property was not created earlier, it will create a new property and the data type of the property will set to Number. For example, if you $add a new property called ltv=1200, it will create the ltv property with Number type and value 1200. Do not enclose the value in double quotes as they must be of numeric type.

These user properties can be used to filter your users for creating user cohorts and campaigns.

Authorization

Authorizationheaderstringrequired

Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path Parameters

WSIDpathstringrequired

Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

versionpathenum (string)required

Specify the version for which you would like to update the user property.

Allowed valueslivetest

Body

$addbodyobjectrequired

Enter the property name as JSON key and the numeric value to increment/decrement as JSON value

distinct_idbodystringrequired

Enter the distinct ID that you use to identify the recipient.

Response

application/json

Request has been accepted and will be processed asynchronously.

request_idstringrequired